package frequentis;

import com.gigaspaces.client.WriteModifiers;
import com.j_spaces.core.IJSpace;
import net.jini.core.lease.Lease;
import org.openspaces.core.GigaSpace;
import org.openspaces.core.GigaSpaceConfigurer;
import org.openspaces.core.space.UrlSpaceConfigurer;
import org.openspaces.core.transaction.manager.DistributedJiniTxManagerConfigurer;
import org.springframework.transaction.PlatformTransactionManager;

/**
 * Created by Yuvald on 13-Mar-15.
 */
public class Main {

    public static void main(String[] args) {
        try {
            IJSpace ispace = new UrlSpaceConfigurer("jini://*/*/" + "MySpace")
                    .lookupGroups("yuval-pc")
                    .lookupLocators("yuval-pc")
                    .space();

            DistributedJiniTxManagerConfigurer distributedJiniTxManagerConfigurer = new DistributedJiniTxManagerConfigurer();

            PlatformTransactionManager transactionManager = distributedJiniTxManagerConfigurer.defaultTimeout(100).transactionManager();

            GigaSpace gigaSpace = new GigaSpaceConfigurer(ispace).transactionManager(transactionManager).gigaSpace();

            for (long i = 0L; i < 5000L; i += 1L)
            {
                ClientConfigBlockItem c = new ClientConfigBlockItem();
                c.setId(Long.valueOf(i));
                c.setConfigType(ConfigType.SYSTEM);
                gigaSpace.write(c, Lease.FOREVER, 1000L ,WriteModifiers.WRITE_ONLY);
            }

            System.out.println("write action was done!");

        }catch(Exception e){
            e.printStackTrace();
        }
    }
}
