package tst;

import com.gigaspaces.annotation.pojo.SpaceId;
import com.gigaspaces.annotation.pojo.SpaceRouting;
import com.gigaspaces.annotation.pojo.SpaceStorageType;
import com.gigaspaces.metadata.StorageType;
import java.io.Serializable;
import java.sql.Date;
import java.util.Arrays;

public class ActivityLog
        implements Serializable
{
    private static final long serialVersionUID = 1L;
    private Long serverid;
    private Long msgid;
    private Long bpid;
    private Long flowid;
    private Long fsid;
    private Long fsstep;
    private Long messagetypeid;
    private String messagestring;
    private byte[] userblob;
    private Long usercode;
    private Date createdate;
    private String createtime;
    private Long objectlevel;
    private String category;
    private String userkey1;
    private String userkey2;
    private String versionkey;
    private Long statuscode;
    private Long severity;
    private String extension;
    private String projectkey;
    private Long blobexists;
    private Long rootfsId;
    private Long flowrequestid;
    private String filelocation;

    public ActivityLog() {}

    public ActivityLog(Long serverId, Long msgId, Long bpId, Long flowId, Long fsId, Long fsStep, Long messageTypeId, String messageString, byte[] userBlob, Long userCode, Date createDate, String createTime, Long objectLevel, String category, String userKey1, String userKey2, String versionKey, Long statusCode, Long severity, String extension, String projectKey, Long blobExists, Long rootFsId, Long flowRequestId)
    {
        this.serverid = serverId;
        this.msgid = msgId;
        this.bpid = bpId;
        this.flowid = flowId;
        this.fsid = fsId;
        this.fsstep = fsStep;
        this.messagetypeid = messageTypeId;
        this.messagestring = messageString;
        this.userblob = userBlob;
        this.usercode = userCode;
        this.createdate = createDate;
        this.createtime = createTime;
        this.objectlevel = objectLevel;
        this.category = category;
        this.userkey1 = userKey1;
        this.userkey2 = userKey2;
        this.versionkey = versionKey;
        this.statuscode = statusCode;
        this.severity = severity;
        this.extension = extension;
        this.projectkey = projectKey;
        this.blobexists = blobExists;
        this.rootfsId = rootFsId;
        this.flowrequestid = flowRequestId;
    }

    public Long getServerId()
    {
        return this.serverid;
    }

    public void setServerId(Long serverId)
    {
        this.serverid = serverId;
    }

    @SpaceRouting
    @SpaceId
    public Long getmsgid()
    {
        return this.msgid;
    }

    public void setmsgid(Long msgId)
    {
        this.msgid = msgId;
    }

    public Long getBpId()
    {
        return this.bpid;
    }

    public void setBpId(Long bpId)
    {
        this.bpid = bpId;
    }

    public Long getFlowId()
    {
        return this.flowid;
    }

    public void setFlowId(Long flowId)
    {
        this.flowid = flowId;
    }

    public Long getFsId()
    {
        return this.fsid;
    }

    public void setFsId(Long fsId)
    {
        this.fsid = fsId;
    }

    public Long getFsStep()
    {
        return this.fsstep;
    }

    public void setFsStep(Long fsStep)
    {
        this.fsstep = fsStep;
    }

    public Long getMessageTypeId()
    {
        return this.messagetypeid;
    }

    public void setMessageTypeId(Long messageTypeId)
    {
        this.messagetypeid = messageTypeId;
    }

    public String getMessageString()
    {
        return this.messagestring;
    }

    public void setMessageString(String messageString)
    {
        this.messagestring = messageString;
    }

    @SpaceStorageType(storageType=StorageType.COMPRESSED)
    public byte[] getUserBlob()
    {
        return this.userblob;
    }

    public void setUserBlob(byte[] userBlob)
    {
        this.userblob = userBlob;
    }

    public Long getUserCode()
    {
        return this.usercode;
    }

    public void setUserCode(Long userCode)
    {
        this.usercode = userCode;
    }

    public Date getCreateDate()
    {
        return this.createdate;
    }

    public void setCreateDate(Date createDate)
    {
        this.createdate = createDate;
    }

    public String getCreateTime()
    {
        return this.createtime;
    }

    public void setCreateTime(String createTime)
    {
        this.createtime = createTime;
    }

    public Long getObjectLevel()
    {
        return this.objectlevel;
    }

    public void setObjectLevel(Long objectLevel)
    {
        this.objectlevel = objectLevel;
    }

    public String getCategory()
    {
        return this.category;
    }

    public void setCategory(String category)
    {
        this.category = category;
    }

    public String getUserKey1()
    {
        return this.userkey1;
    }

    public void setUserKey1(String userKey1)
    {
        this.userkey1 = userKey1;
    }

    public String getUserKey2()
    {
        return this.userkey2;
    }

    public void setUserKey2(String userKey2)
    {
        this.userkey2 = userKey2;
    }

    public String getVersionKey()
    {
        return this.versionkey;
    }

    public void setVersionKey(String versionKey)
    {
        this.versionkey = versionKey;
    }

    public Long getStatusCode()
    {
        return this.statuscode;
    }

    public void setStatusCode(Long statusCode)
    {
        this.statuscode = statusCode;
    }

    public Long getSeverity()
    {
        return this.severity;
    }

    public void setSeverity(Long severity)
    {
        this.severity = severity;
    }

    public String getExtension()
    {
        return this.extension;
    }

    public void setExtension(String extension)
    {
        this.extension = extension;
    }

    public String getProjectKey()
    {
        return this.projectkey;
    }

    public void setProjectKey(String projectKey)
    {
        this.projectkey = projectKey;
    }

    public Long getBlobExists()
    {
        return this.blobexists;
    }

    public void setBlobExists(Long blobExists)
    {
        this.blobexists = blobExists;
    }

    public void setRootFsId(Long rootFsId)
    {
        this.rootfsId = rootFsId;
    }

    public Long getRootFsId()
    {
        return this.rootfsId;
    }

    public void setFlowRequestId(Long flowRequestId)
    {
        this.flowrequestid = flowRequestId;
    }

    public Long getFlowRequestId()
    {
        return this.flowrequestid;
    }

    public void setFileLocation(String fileLocation)
    {
        this.filelocation = fileLocation;
    }

    public String getFileLocation()
    {
        return this.filelocation;
    }

    public boolean equals(Object other)
    {
        if (this == other) {
            return true;
        }
        if (other == null) {
            return false;
        }
        if (!(other instanceof ActivityLog)) {
            return false;
        }
        ActivityLog castOther = (ActivityLog)other;
        if ((getServerId() == castOther.getServerId()) &&
                (getmsgid() == castOther.getmsgid()) &&
                (getBpId() == castOther.getBpId()) &&
                (getFlowId() == castOther.getFlowId()) &&
                (getFsId() == castOther.getFsId()) &&
                (getFsStep() == castOther.getFsStep()) &&
                (getMessageTypeId() == castOther.getMessageTypeId())) {
            if (getMessageString() != castOther.getMessageString())
            {
                if ((getMessageString() != null) &&
                        (castOther.getMessageString() != null)) {
                    if (!getMessageString().equals(castOther.getMessageString())) {}
                }
            }
            else if ((getUserBlob() != castOther.getUserBlob()) && (
                    (getUserBlob() == null) ||
                            (castOther.getUserBlob() == null) || (!Arrays.equals(
                            getUserBlob(), castOther.getUserBlob())))) {}
        }
        return (getUserCode() == castOther.getUserCode()) && ((getCreateDate() == castOther.getCreateDate()) || ((getCreateDate() != null) && (castOther.getCreateDate() != null) && (getCreateDate().equals(castOther.getCreateDate())))) && ((getCreateTime() == castOther.getCreateTime()) || ((getCreateTime() != null) && (castOther.getCreateTime() != null) && (getCreateTime().equals(castOther.getCreateTime())))) && (getObjectLevel() == castOther.getObjectLevel()) && ((getCategory() == castOther.getCategory()) || ((getCategory() != null) && (castOther.getCategory() != null) && (getCategory().equals(castOther.getCategory())))) && ((getUserKey1() == castOther.getUserKey1()) || ((getUserKey1() != null) && (castOther.getUserKey1() != null) && (getUserKey1().equals(castOther.getUserKey1())))) && ((getUserKey2() == castOther.getUserKey2()) || ((getUserKey2() != null) && (castOther.getUserKey2() != null) && (getUserKey2().equals(castOther.getUserKey2())))) && ((getVersionKey() == castOther.getVersionKey()) || ((getVersionKey() != null) && (castOther.getVersionKey() != null) && (getVersionKey().equals(castOther.getVersionKey())))) && (getStatusCode() == castOther.getStatusCode()) && (getSeverity() == castOther.getSeverity()) && ((getExtension() == castOther.getExtension()) || ((getExtension() != null) && (castOther.getExtension() != null) && (getExtension().equals(castOther.getExtension())))) && ((getProjectKey() == castOther.getProjectKey()) || ((getProjectKey() != null) && (castOther.getProjectKey() != null) && (getProjectKey().equals(castOther.getProjectKey())))) && (getBlobExists() == castOther.getBlobExists());
    }

    public int hashCode()
    {
        int result = 17;

        result = 37 * result + getServerId().intValue();
        result = 37 * result + getmsgid().intValue();
        result = 37 * result + getBpId().intValue();
        result = 37 * result + getFlowId().intValue();
        result = 37 * result + getFsId().intValue();
        result = 37 * result + getFsStep().intValue();
        result = 37 * result + getMessageTypeId().intValue();

        result = 37 * result + (getMessageString() == null ? 0 : getMessageString().hashCode());
        int userblobHashcode = 0;
        byte[] userblobProperty = getUserBlob();
        if (userblobProperty != null)
        {
            userblobHashcode = 1;
            for (int i = 0; i < userblobProperty.length; i++) {
                userblobHashcode = 37 * userblobHashcode + userblobProperty[i];
            }
        }
        result = 37 * result + userblobHashcode;

        result = 37 * result + getUserCode().intValue();

        result = 37 * result + (getCreateDate() == null ? 0 : getCreateDate().hashCode());

        result = 37 * result + (getCreateTime() == null ? 0 : getCreateTime().hashCode());
        result = 37 * result + getObjectLevel().intValue();

        result = 37 * result + (getCategory() == null ? 0 : getCategory().hashCode());

        result = 37 * result + (getUserKey1() == null ? 0 : getUserKey1().hashCode());

        result = 37 * result + (getUserKey2() == null ? 0 : getUserKey2().hashCode());

        result = 37 * result + (getVersionKey() == null ? 0 : getVersionKey().hashCode());
        result = 37 * result + getStatusCode().intValue();
        result = 37 * result + getSeverity().intValue();

        result = 37 * result + (getExtension() == null ? 0 : getExtension().hashCode());

        result = 37 * result + (getProjectKey() == null ? 0 : getProjectKey().hashCode());
        result = 37 * result + getBlobExists().intValue();
        return result;
    }
}
