package tst;

import com.gigaspaces.client.ReadModifiers;
import com.gigaspaces.client.WriteModifiers;
import com.j_spaces.core.IJSpace;
import com.j_spaces.core.client.SQLQuery;
import org.openspaces.core.GigaSpace;
import org.openspaces.core.GigaSpaceConfigurer;
import org.openspaces.core.space.UrlSpaceConfigurer;
import org.openspaces.core.transaction.manager.DistributedJiniTxManagerConfigurer;
import org.springframework.transaction.PlatformTransactionManager;

public class Client
{
    public static void main(String[] args)
            throws Exception
    {
        UrlSpaceConfigurer configurer = new UrlSpaceConfigurer("jini://*/*/MySpace");
        configurer.lookupGroups("yuvald");
        IJSpace space = configurer.space();

        DistributedJiniTxManagerConfigurer distributedJiniTxManagerConfigurer = new DistributedJiniTxManagerConfigurer();

        PlatformTransactionManager transactionManager = distributedJiniTxManagerConfigurer.defaultTimeout(100).transactionManager();

        GigaSpace gigaSpace = new GigaSpaceConfigurer(space).transactionManager(transactionManager).gigaSpace();

        ActivityLog l = new ActivityLog(Long.valueOf(0L), Long.valueOf(4L), Long.valueOf(0L), Long.valueOf(0L), Long.valueOf(0L), Long.valueOf(1L), Long.valueOf(10L), "txt", "yair ratzon".getBytes(), Long.valueOf(0L), java.sql.Date.valueOf("2000-11-01"), "11111", Long.valueOf(2L), " ", "1", "2", " ", Long.valueOf(0L), Long.valueOf(0L), "txt", "yau", Long.valueOf(1L), Long.valueOf(0L), Long.valueOf(0L));

        l.setFileLocation(" ");
        for (long i = 0L; i < 5000L; i += 1L)
        {
            l.setmsgid(Long.valueOf(i));
            gigaSpace.write(l, 1000L, 10000L, WriteModifiers.MEMORY_ONLY_SEARCH);
        }
        System.out.println("write action was done!");

        SQLQuery<ActivityLog> query = new SQLQuery(ActivityLog.class, "");
        ActivityLog[] array = (ActivityLog[])gigaSpace.readMultiple(query, 10000, ReadModifiers.MEMORY_ONLY_SEARCH);

        int counter = 0;
        while ((array.length > 0) && (counter < 10))
        {
            System.out.println("\n");
            System.out.println(new java.util.Date().toString() + "\n");
            System.out.println("num of objects = " + array.length + "\n");

            Thread.sleep(30000L);
            counter++;

            array = (ActivityLog[])gigaSpace.readMultiple(query, 10000, ReadModifiers.MEMORY_ONLY_SEARCH);
        }
        System.out.println("read action was done!");
    }
}
